Puppy Linux Discussion Forum Forum Index Puppy Linux Discussion Forum
Puppy HOME page : puppylinux.com
"THE" alternative forum : puppylinux.info
 
 FAQFAQ   SearchSearch   MemberlistMemberlist   UsergroupsUsergroups   RegisterRegister 
 ProfileProfile   Log in to check your private messagesLog in to check your private messages   Log inLog in 

The time now is Thu 13 Dec 2018, 09:36
All times are UTC - 4
 Forum index » Advanced Topics » Puppy Projects
tahrpup64 6.0.5 CE
Moderators: Flash, JohnMurga
Post new topic   Reply to topic View previous topic :: View next topic
Page 4 of 58 [856 Posts]   Goto page: Previous 1, 2, 3, 4, 5, 6, ..., 56, 57, 58 Next
Author Message
icake

Joined: 26 Jul 2012
Posts: 489

PostPosted: Mon 26 Jan 2015, 22:18    Post subject: tahrpup64 pre-alpha
Subject description: Tahr64 6.0.2 Chinese language pets
 

Thanks 666philb for all the work on tahrpup64.

I have made 2 half-Chinese and 2 Chinese Language pets for tahr64 6.0.2. These will enable users to display and input Chinese (applicable to both Simplified and Traditional Chinese) in tahrpup64 6.0.2.

For more details and download addresses, please see these links:

English: http://murga-linux.com/puppy/viewtopic.php?t=82937&start=210

Chinese: http://www.minilinux.net/node/2545?page=1
Back to top
View user's profile Send private message 
LazY Puppy


Joined: 21 Nov 2014
Posts: 2007
Location: Germany

PostPosted: Thu 19 Mar 2015, 17:39    Post subject:  

Hi.

I don't know if anyone has posted this, but Tahr 64 6.0.2 seems to lack pfilesearch, so pfind won't work.

Can I just install a version from the forum?

_________________
RSH

"you only wanted to work your Puppies in German", "you are a separatist in that you want Germany to secede from Europe" (musher0) Laughing

No, but I gave my old drum kit away for free to a music store collecting instruments for refugees! Wink
Back to top
View user's profile Send private message 
LazY Puppy


Joined: 21 Nov 2014
Posts: 2007
Location: Germany

PostPosted: Thu 19 Mar 2015, 18:08    Post subject:  

Please have a look first at my post above.

Also pgprs is not included (WoofCE trouble, but fixed lately by mavrothal).

Like in Tahr 6.0 I installed the package from Slacko 5.7 (provided by SFR earlier) and it works out of the Box - now online using Thar 64 with an modified initrd.gz (init script).

_________________
RSH

"you only wanted to work your Puppies in German", "you are a separatist in that you want Germany to secede from Europe" (musher0) Laughing

No, but I gave my old drum kit away for free to a music store collecting instruments for refugees! Wink
Back to top
View user's profile Send private message 
LazY Puppy


Joined: 21 Nov 2014
Posts: 2007
Location: Germany

PostPosted: Fri 20 Mar 2015, 00:35    Post subject:  

Hi.

Just discovered a third issue.

When extracting a .pet (by right click action), the wrapper exits with an error.
Quote:
'tar -xf internet-fix21947.tar.gz' failed in
/mnt/sdd1/Downloads/00-2015-03-19-Tahr64 with error code 2.

Quote:
'tar -xf pgprs-s5720425.tar.gz' failed in
/mnt/sdd1/Downloads/2015-03-19 with error code 2.

The internet-fix.pet was downloaded from forum and the pgprs-s57.pet was build using Tahr64.

This doesn't seem to happen on all .pet packages.

Extracting pfilesearch-2.1.pet and pfind-6.2.pet (downloaded from forum) finished successfully. Also some of my own .pet packages (created with a Lucid and/or Precise based Puppy) do extract successfully.

Any hints?

Thanks.

_________________
RSH

"you only wanted to work your Puppies in German", "you are a separatist in that you want Germany to secede from Europe" (musher0) Laughing

No, but I gave my old drum kit away for free to a music store collecting instruments for refugees! Wink
Back to top
View user's profile Send private message 
666philb


Joined: 07 Feb 2010
Posts: 3220
Location: wales

PostPosted: Fri 20 Mar 2015, 17:43    Post subject:  

hi LazY Puppy

yes there's quite a bit wrong with tahrpup64! the biggest problem is ..

Quote:
one bug that keeps occuring.

in /lib and /usr/lib there are symlinks called 'x86_64-linux-gnu' which are links to the /lib and /usr/lib folders

occasionally when installing something, either manually or from the PPM, the symlink gets overwritten with an actual folder causing catastrophic failure needing hard power off. you then need to boot pfix=ram and delete the folder & .wh file to rescue the save.


i don't recommend using tahrpup64 at the moment as so much needs fixing. i will revisit it eventually (when i get some time) and see if i can get it up to snuff

_________________
Tahrpup, built with trusty tahr packages http://murga-linux.com/puppy/viewtopic.php?t=96178
Xenialpup64, built with xenial xerus packages http://murga-linux.com/puppy/viewtopic.php?t=107331
Back to top
View user's profile Send private message 
LazY Puppy


Joined: 21 Nov 2014
Posts: 2007
Location: Germany

PostPosted: Fri 20 Mar 2015, 18:42    Post subject:  

666philb wrote:
hi LazY Puppy

yes there's quite a bit wrong with tahrpup64! the biggest problem is ..

Quote:
one bug that keeps occuring.

in /lib and /usr/lib there are symlinks called 'x86_64-linux-gnu' which are links to the /lib and /usr/lib folders

occasionally when installing something, either manually or from the PPM, the symlink gets overwritten with an actual folder causing catastrophic failure needing hard power off. you then need to boot pfix=ram and delete the folder & .wh file to rescue the save.


i don't recommend using tahrpup64 at the moment as so much needs fixing. i will revisit it eventually (when i get some time) and see if i can get it up to snuff

Hi, and thanks for the reply.

I'm not really using Tahr64 like I'm doing it with my private LazY Puppy. But since I'm now owning a 64bit Computer, I want to test some of the 64bit Puppies. Also I found some of my applications needs refining and additions for the use in a 64bit Puppy.

The i386-linux-gnu/x86_64-linux-gnu related issue I gladly was able to solve for my current version of PaDS. So I can produce now SFS Modules for 32bit and 64bit Ubuntu based Puppy, that has moved the libs to the Puppy location and replaced the i386-linux-gnu/x86_64-linux-gnu directories by the symbolic link to ./ in /lib and /usr/lib.

But I found these directories sometimes also in /bin, so I need to add code for /bin and /usr/bin (just to complete it, didn't found any in there by now).

Especially for my needs there is no need to make a rush to put up a new version, since I'm doing my current "remasters" of Tahr64 just temporarily "on the fly" by using strictly SFS Modules (mounting to top layers and/or normal layers) plus the advantages presented in my Getting closer... or ...editing the initrd.gz Topic.

I had chosen to use Tahr64 Puppy for this because I have already build a LazY Puppy based on Tahr 6.0 CE PAE. Like it very much so far. A new DE LazY Puppy, again for the use on a German Public School by German user der-schutzhund, will be build based on Tahr 6.0.2 and we will start to work on this in the beginning of April 2015 (just to mention it).

_________________
RSH

"you only wanted to work your Puppies in German", "you are a separatist in that you want Germany to secede from Europe" (musher0) Laughing

No, but I gave my old drum kit away for free to a music store collecting instruments for refugees! Wink
Back to top
View user's profile Send private message 
xanad


Joined: 28 Feb 2014
Posts: 400
Location: 2 locations: MonteRosa Alp and Milano

PostPosted: Sun 17 May 2015, 02:46    Post subject:  

Tahr Media 64bit 734Mb
https://drive.google.com/file/d/0Bz9e78iH9qX7bVR5MmVtMEY2RzA/view?usp=sharing
checksum MD5: a26e4b3113f086bdd65d2a11975c55fe

Added:
langpack_it-20150512|it language-pack for Puppy Linux, for any Puppy built from Woof later than Feb. 28, 2012
Right-click-april64-6.9.6|Right click menu utility
firefox-38.0.1esr-64bit|Browse the World Wide Web
amule-adunanza_2.3.1_amd64|aMule AdunanzA
amule_2.3.1-1_amd64|A client for the eD2k network
opera_12.16.1860_amd64|Fast and secure web browser and Internet suite
vivaldi-snapshot_1.0.178.2-1_amd64|Access the Internet
pfilesearch-2.1|file finder engine
pfind-6.2|pFind file finder
cinelerra-4.6-14.04.1-x86_64-static|Video Player
icone|no description provided
patch-it_64|
wbar_2.3.0-1_amd64|A light and fast launch bar.
doublecmd-0.6.2.gtk2.x86_64|Double Commander File manager
FileZilla_3.10.0_amd64|Download and upload files via FTP, FTPS and SFTP
hydrogen_0.9.6~beta3-1_amd64|Create drum sequences
LibreOffice_4.4.3.2_Linux_x86-64|The office productivity suite compatible to the open and standardized ODF document format.
lmms_1.0.0+bzr2569_amd64|easy music production for everyone!
ocenaudio-2.0.15|Edit audio files
xpad-4.2-x86_64-1|Jot down notes for later
htop-1.0.3-x86_64-1|Htop View Running Processes
XnViewMP-amd64|Image Viewer
PuppyUnits-1.7|weights and measures converter
poedit_1.5.4_amd64|Gettext catalogs editor
lxrandr-0.3.0-1-x86_64|Change screen resolution and configure external monitors
flashplayer11-11.2.202.491|Adobe Flash Player 11 browser plugin and Preferences.
libgif7-5.1.1-1.2.x86_64|
libjpeg9-9.1.0-11.4.x86_64|
mtpaint-3.44.89-amd64|A simple GTK+12 painting program
pmusic-4.6.4|-player -manager -grabber
network_tray-3.1-april64|Displays network connection status for desktop tray.
network_tray_NLS-3.1-april64|Displays network connection status for desktop tray.
ffmpeg-2014-12-19-amd64

_________________
www.xanad.tk Html5 Parallax
Back to top
View user's profile Send private message Visit poster's website 
TJK

Joined: 19 Feb 2008
Posts: 75
Location: Canada

PostPosted: Thu 06 Aug 2015, 18:32    Post subject:  

I give TahrPup 6.02 32bit an A++ It's the only PL I use at this time.

I can't wait until the 64bit is stable... What I'd like to know is: if it will be able to run a 64bit version of virtualbox (that supports multi-core virtualization)?
Back to top
View user's profile Send private message 
watchdog

Joined: 28 Sep 2012
Posts: 1694
Location: Italy

PostPosted: Wed 12 Aug 2015, 05:05    Post subject:  

Is there a 32 bit compatibility sfs for this testing tahrpup64? I need multilib.
CUPS not working for me (Internal Server Error).
Light-encryption not working.
Back to top
View user's profile Send private message 
rcrsn51


Joined: 05 Sep 2006
Posts: 12376
Location: Stratford, Ontario

PostPosted: Wed 12 Aug 2015, 07:48    Post subject:  

watchdog wrote:
CUPS not working for me (Internal Server Error).

1. Make the device node /dev/random all-readable.

2. Move all the files in /usr/lib/cups/backend-available into /usr/lib/cups.

Quote:
Is there a 32 bit compatibility sfs for this testing tahrpup64?

Look in Fatdog for how they handle 32-bit printer drivers. There are various 64-bit printer drivers for Fatdog, but they may install files into /usr/lib64/cups. You will need to move them to /usr/lib/cups.
Back to top
View user's profile Send private message 
watchdog

Joined: 28 Sep 2012
Posts: 1694
Location: Italy

PostPosted: Wed 12 Aug 2015, 08:51    Post subject:  

rcrsn51 wrote:
watchdog wrote:
CUPS not working for me (Internal Server Error).

1. Make the device node /dev/random all-readable.

2. Move all the files in /usr/lib/cups/backend-available into /usr/lib/cups.


It worked! I made /dev/random all readable and moved the content of /usr/lib/cups/backend-available in /usr/lib/cups/backend. Brother printers drivers are in PPM. My main laser printer now works. I failed installing hplip by PPM with savefile corruption. Many thanks.
Back to top
View user's profile Send private message 
rcrsn51


Joined: 05 Sep 2006
Posts: 12376
Location: Stratford, Ontario

PostPosted: Wed 12 Aug 2015, 09:02    Post subject:  

watchdog wrote:
Brother printers drivers are in PPM

Please explain what you did, step-by-step. In my experience, all Brother printer drivers are 32-bit. Or did you use the built-in Gutenprint driver?
Back to top
View user's profile Send private message 
watchdog

Joined: 28 Sep 2012
Posts: 1694
Location: Italy

PostPosted: Wed 12 Aug 2015, 09:40    Post subject:  

Ubuntu repositories have deb 64 bit packages for Brother printers. I don't remember well but I searched for brother and installed the "common" deb packages for brother printers and laser brother printers. Then I installed the specific deb packages for brother-laser printer (the basic one and examining dependencies) and I was able to install Hl2130 using Hl2030 foomatic (the recommended choice) and to print the test page. I can't be more detailed because I have lost my savefile trying to install hplip for the known bug:

Quote:

one bug that keeps occuring.

in /lib and /usr/lib there are symlinks called 'x86_64-linux-gnu' which are links to the /lib and /usr/lib folders

occasionally when installing something, either manually or from the PPM, the symlink gets overwritten with an actual folder causing catastrophic failure needing hard power off. you then need to boot pfix=ram and delete the folder & .wh file to rescue the save.
Back to top
View user's profile Send private message 
rcrsn51


Joined: 05 Sep 2006
Posts: 12376
Location: Stratford, Ontario

PostPosted: Wed 12 Aug 2015, 10:40    Post subject:  

I went to openprinting.org and got the HL2030 PPD file. It uses the foomatic-rip CUPS filter, which is built into Tahrpup. This looks good enough to install the printer.

Regarding HPLIP: the Fatdog contributor repo at ibiblio has hplip_print and hplip_scan packages. However, you will need to unpack the PETs and change /usr/lib64 to /usr/lib. They worked for me.

BTW, I tried the Fatdog 32bit compatibility pack which is Slacko-based, but it failed.
Back to top
View user's profile Send private message 
watchdog

Joined: 28 Sep 2012
Posts: 1694
Location: Italy

PostPosted: Wed 12 Aug 2015, 11:18    Post subject:  

rcrsn51 wrote:

Regarding HPLIP: the Fatdog contributor repo at ibiblio has hplip_print and hplip_scan packages. However, you will need to unpack the PETs and change /usr/lib64 to /usr/lib. They worked for me.


hplip_print_fd600-3.14.4.pet does not need to be repackaged. For hplip_scan_fd600-3.14.4.pet repackaging is needed renaming /usr/lib64 as /usr/lib.

EDIT: hp printer Photosmart C3190 not correctly install. The scanner works. Not the printer. Filter failing even with the repackaging of the fatdog pet. Trying some workarounds.

Quote:

BTW, I tried the Fatdog 32bit compatibility pack which is Slacko-based, but it failed.


I tried, too, without success. 32 bit compatibility pack wanted for skype! I managed a good install repairing the xanad's tahr64 media edition with italian localization.

Last edited by watchdog on Wed 12 Aug 2015, 11:34; edited 1 time in total
Back to top
View user's profile Send private message 
Display posts from previous:   Sort by:   
Page 4 of 58 [856 Posts]   Goto page: Previous 1, 2, 3, 4, 5, 6, ..., 56, 57, 58 Next
Post new topic   Reply to topic View previous topic :: View next topic
 Forum index » Advanced Topics » Puppy Projects
Jump to:  

You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum
You cannot attach files in this forum
You can download files in this forum


Powered by phpBB © 2001, 2005 phpBB Group
[ Time: 0.1383s ][ Queries: 12 (0.0291s) ][ GZIP on ]